# Image

<mark style="color:blue;">**`ENDPOINT : https://app.oxyapi.uk/v1/images/generations`**</mark>

## MidJourney&#x20;

`prompt  [string]`` `<mark style="color:red;">**`REQUIRED`**</mark>

* Prompt to use for the generation.

`model  [string]`` `<mark style="color:red;">**`REQUIRED`**</mark>

* ID of the model to use. See the [model endpoint compatibility](https://app.oxyapi.uk/v1/models).

`stream [boolean or null] Optional Defaults to false`

* If set, partial images with progression deltas will be sent.

## Stable Diffusion Models

`prompt  [string]`` `<mark style="color:red;">**`REQUIRED`**</mark>

* Prompt to use for the generation.

`negative_prompt  [string] Default to null Optional`&#x20;

* Generation negative prompt.

`model  [string]`` `<mark style="color:red;">**`REQUIRED`**</mark>

* ID of the model to use. See the [model endpoint compatibility](https://app.oxyapi.uk/v1/models) table for details on which models work with the Chat API..

`steps  [integer] Default to 25 Optional`&#x20;

* Generation denoising steps , must be in range 1 / 50

`sampler [string] Default to DPM++ 2M Karras Optional`&#x20;

* Generation sampler must be in the list :

  ```javascript
  ["Euler", "Euler a", "Heun", "DPM++ 2M Karras", "DPM++ SDE Karras", "DDIM"]
  ```

`n  [integer] Default to 1 Optional`&#x20;

* Generation images number , must be in range 1 / 4, when stream is true n must be 1.

`seed  [integer] Default to random Optional`&#x20;

* Generation seed.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.oxyapi.uk/endpoints/image.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
